### Method

# Ggit IndexEntries ref

#### Declaration [src]

    GgitIndexEntries*
    ggit_index_entries_ref (
      GgitIndexEntries* entries
    )

#### Description [src]

Atomically increments the reference count of `entries` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitIndexEntries`

A `GgitIndexEntries` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.